<?php
session_start();
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>

        <?php
            include("connect.php");
            $kapcsolat=connect();
         if($_SESSION['felhasznalonev']!=""){
            $nev=$_SESSION['felhasznalonev'];
            $parancs="SELECT * FROM felhasznalok where azonosito='$nev'";
            $e = mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a kinézet lekérdezése: " .mysql_error() );
            $eredmeny = mysql_fetch_row( $e );
         }
            ?>


    <link rel="stylesheet" type="text/css" href="<?php if($eredmeny[4]!="") print $eredmeny[4]; else print "classic"; ?>.css">



    <body>

        <?php

        $datum_tomb = getdate();

        $nev=$_POST['azonosito'];
        $t=$_POST['telepules'];
        $e=$_POST['eszlelohely'];
        if($_POST['felho']=="Derült") $f=0;
        if($_POST['felho']=="Gyengén felhős") $f=1;
        if($_POST['felho']=="Közepesen felhős") $f=2;
        if($_POST['felho']=="Erősen felhős") $f=3;
        if($_POST['felho']=="Borult") $f=4;
        if($_POST['felho']=="Eső") $f=5;
        if($_POST['felho']=="Zivatar") $f=6;
        if($_POST['felho']=="Száraz zivatar") $f=7;
        if($_POST['felho']=="Havazás") $f=8;
        if($_POST['felho']=="Köd") $f=9;
        if($_POST['homerseklet']!="---") $homerseklet=$_POST['homerseklet'];
        else $homerseklet=999;
        $idobelyeg=time();
        $komment=$_POST['komment'];
        $string_tomb = explode("\n", $komment);
        $komment = implode("<br>", $string_tomb);
        $datum="$datum_tomb[year]-$datum_tomb[mon]-$datum_tomb[mday] $datum_tomb[hours]:$datum_tomb[minutes]:$datum_tomb[seconds]";
        $parancs = "INSERT INTO eszlelesek (azonosito, telepules, eszlelohely, felho, datum, idobelyeg, komment, homerseklet) VALUES ( '$nev', '$t', $e, $f, '$datum', $idobelyeg, '$komment', $homerseklet  )";
        mysql_query( $parancs, $kapcsolat )
        or die ( "Nem sikerült az észlelés elmentése: " .mysql_error() );

?>
<div id="sikeres">
<form action="megfigyelo.php" name="urlap" method="POST">
            Sikeres észlelés. Folyatatáshoz kattintson a 'Tovább' gombra...
            <br>
            <input type="button" name="gomb" value='Tovább' onclick='javascript: urlap.submit() '>
</form>
</div>










<?php

mysql_close( $kapcsolat );

?>



    </body>
</html>